org.apache.ignite.internal.processors.continuous

## Class AbstractContinuousMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

Direct Known Subclasses:
  StartRoutineAckDiscoveryMessage, StartRoutineDiscoveryMessage, StopRoutineAckDiscoveryMessage, StopRoutineDiscoveryMessage

    public abstract class AbstractContinuousMessage
    extends Object
    implements DiscoveryCustomMessage

See Also:
  Serialized Form

### Field Summary

Fields
`protected UUID` `routineId` Routine ID.

### Constructor Summary

Constructors
`protected` `AbstractContinuousMessage(UUID id)`

### Method Summary

Methods
`IgniteUuid` `id()`
`boolean` `incrementMinorTopologyVersion()` Whether or not minor version of topology should be increased on message receive.
`boolean` `isMutable()`
`UUID` `routineId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.managers.discovery.DiscoveryCustomMessage

`ackMessage`

### Field Detail

#### routineId

    protected final UUID routineId

Routine ID.

### Constructor Detail

#### AbstractContinuousMessage

    protected AbstractContinuousMessage(UUID id)

Parameters:
  `id` - Id.

### Method Detail

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `DiscoveryCustomMessage`
Returns:
  Unique custom message ID.

#### routineId

    public UUID routineId()

Returns:
  Routine ID.

#### incrementMinorTopologyVersion

    public boolean incrementMinorTopologyVersion()

Whether or not minor version of topology should be increased on message receive.

Specified by:
  `incrementMinorTopologyVersion` in interface `DiscoveryCustomMessage`
Returns:
  `true` if minor topology version should be increased.
See Also:
  `AffinityTopologyVersion.minorTopVer`

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Returns:
  `true` if message can be modified during listener notification. Changes will be send to next nodes.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015